Maj 24, 2017, 17:45:42 pm

Ostatnie wiadomości

Strony: [1] 2 3 ... 10
1
Software i Hardware / Odp: Skrypt do instalacji programu e-pity dla systemu Linux - Ubuntu/Debian
« Ostatnia wiadomość przez Nolt dnia Styczeń 16, 2017, 12:34:48 pm »
Skrypt zaktualizowany o nowy plik e-pity2016.
2
Software i Hardware / Odp: Skrypt do instalacji programu e-pity dla systemu Linux - Ubuntu/Debian
« Ostatnia wiadomość przez Nolt dnia Sierpień 05, 2016, 10:22:10 am »
Od dziś kod skryptu jest dostępny na GitHubie - https://github.com/nolt/skrypt-epity
3
Software i Hardware / Odp: Skrypt do instalacji programu e-pity dla systemu Ubuntu
« Ostatnia wiadomość przez Nolt dnia Maj 20, 2016, 13:24:30 pm »
Zaktualizowałem skrypt, obecnie sprawdza czy odpalamy na Debianie / Ubuntu oraz z jaką architekturą.
4
Software i Hardware / Odp: Skrypt do instalacji programu e-pity dla systemu Ubuntu
« Ostatnia wiadomość przez tnnn dnia Kwiecień 25, 2016, 21:23:21 pm »
Rozważyłbym też dodanie sprawdzenia czy skrypt został odpalony na Debianie lub systemie Debianopochodnym.

Dzięki za wrzucenie skryptu :)
5
Software i Hardware / Odp: Skrypt do instalacji programu e-pity dla systemu Ubuntu
« Ostatnia wiadomość przez Nolt dnia Kwiecień 25, 2016, 15:41:45 pm »
Świetnie, przetestuję w wolnej chwili na wirtualce działanie i dodam przerobiony skrypt do działu download.
6
Software i Hardware / Odp: Skrypt do instalacji programu e-pity dla systemu Ubuntu
« Ostatnia wiadomość przez tnnn dnia Kwiecień 24, 2016, 19:19:29 pm »
Jeśli na czystym, 64bitowym Debianie 8 dodamy architekturę i386, wszystko zadziała bez dodatkowych modyfikacji.

Poniżej nieco poprawiony skrypt:
- automatyczne wykrywanie architektury
- dla amd64 dodawanie architektury i386 jeśli nie jest dodana

Testowałem tylko na Debian-ach (i386 i amd64) więc warto zweryfikować czy Ubuntu nie będzie robić problemów.

#!/bin/bash

#################################################
#                                               #
#       Skrypt możesz pobrać ze strony:         #
#               [url=http://www.wizzi.pl]www.wizzi.pl[/url]                    #
#                                               #
#               Autor skryptu: Nolt             #
#    Licencja: Common Public License v1.0       #
#   http://opensource.org/licenses/cpl1.0.txt   #
#                                               #
#################################################


#tworzenie_folderu
echo -e "--- Do poprawnego uruchomienia aplikacji e-pity, \nmuszę utworzyć folder Pity$data w katalogu domowym oraz \npobrać brakujące paczki dla Twojej architektury systemu. ---"
sleep 5

data=$(date +%Y)

echo "--- Tworzę wymagany folder Pity$data! ---"
if [ -d ~/Pity$data ] ; then
echo "--- Folder Pity$data jest już założony ---"
sleep 2
else
echo "--- Tworzę folder Pity$data w katalogu domowym ---"
mkdir ~/Pity$data
fi

sleep 2

#pobieranie adobeair
echo "Czy pobrać plik instalacyjny AdobreAIR 2.6? (t/n)"
read t
if [ -e ~/Pity$data/AdobeAIRInstaller.bin ] ; then
echo "--- Nie pobieram pliku, jest już pobrany ---"
sleep 2
elif [ $t = t ] ;
then
echo "--- Pobieram plik AdobreAIR 2.6! ---"
sleep 3
cd ~/Pity$data/ && wget http://airdownload.adobe.com/air/lin/download/2.6/AdobeAIRInstaller.bin
chmod +x AdobeAIRInstaller.bin
else
echo "--- Nie pobieram pliku, jest już pobrany ---"
fi

sleep 2

#pobieranie epity
echo "Czy pobrać plik instalacyjny porogramu e-pity? (t/n)"
read t
if [ -e ~/Pity$data/setup_e-pity2015Linux.air ] ; then
echo "--- Nie pobieram gdyż plik jest już pobrany! ---"
sleep 2
elif [ $t = t ] ;
then
echo "--- Pobieram instalator aplikacji epity! ---"
sleep 3
cd ~/Pity$data/ && wget http://download.e-pity.pl/down/setup_e-pity2015Linux.air
chmod +x setup_e-pity2015Linux.air
else
echo "--- Nie pobieram gdyż plik jest już pobrany! ---"
fi

sleep 2

# Architektura systemu.
if uname -a | grep --quiet amd64; then
  # amd64 (64bity).
  bit=64
  # Jesli jeszcze nie byla dodana to dodajemy obsluge i386 do dpkg.
  if !(dpkg --print-foreign-architectures | grep --quiet i386); then
    sudo dpkg --add-architecture i386 && sudo apt-get update
  fi
elif uname -a | grep --quiet 686; then
  # 686 (32bity).
  bit=32
else
  # Nie udalo sie wykryc architektury.
  echo "Podaj architekturę systemu 64 lub 32 bit (podaj liczbę)"
  read bit
fi

echo "Pobieram brakujące biblioteki dla architektury $bit i tworzę linki"
if [ $bit = '64' ] ; then
sudo apt-get install -y libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libgnome-keyring0:i386 libxaw7
sudo ln -sf /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0 && sudo ln -sf /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
else
sudo apt-get install -y libgtk2.0-0 libxslt1.1 libxml2 libnss3 libxaw7 libgnome-keyring0
sudo ln -sf /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0 && sudo ln -sf /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
fi

sleep 2

#instalacja
echo "Będę instalował pobrane aplikacje!"
cd ~/Pity$data/
sudo ./AdobeAIRInstaller.bin
sudo /usr/bin/Adobe\ AIR\ Application\ Installer ~/Pity$data/setup_e-pity2015Linux.air

echo "--- Gratulacje, wszystko poszło pięknie i gładko. Folder z plikami instalacyjnymi nie jest już potrzebny, mogę go usunąć za Ciebie :) (t/n)? ---"
read t
if [ $t = t ] ; then
rm -fr ~/Pity$data
else
echo "--- Dzięki, spadam! ---"
fi
exit
7
Software i Hardware / Odp: Skrypt do instalacji programu e-pity dla systemu Ubuntu
« Ostatnia wiadomość przez Nolt dnia Luty 04, 2016, 14:11:03 pm »
Witam,

Dziękuję za zgłoszenie. Poprawię przy okazji skrypt i dodam linkowanie.

Ciesze się, że skrypt jest pomocny.

//EDIT:
Testowałem skrypt z linkami na 64bitowej wersji Debian8 z GNOME i niestety nie działa linkowanie, może na 32bitowej tak. Niemniej jednak dopóki nie znajdę jakiegoś szybkiego rozwiązania problemu, Debian nie będzie wspierany przez sam skrypt.
8
Software i Hardware / Odp: Skrypt do instalacji programu e-pity dla systemu Ubuntu
« Ostatnia wiadomość przez amielcar dnia Luty 01, 2016, 08:46:24 am »
Witam
Dostaliśmy zgłoszenie że skrypt działa też w Debianie, tylko trzeba dodatkowo zrobić jeszcze jedno linkowanie:

W Debianie-8 pobrany AdobeAIRInstaller.bin wywala błąd, żądając libgnome-keyring. Po zlinkowaniu
/usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 --> /usr/lib/libgnome-keyring.so.0 , Adobe AIR się instaluje, e-pity się uruchamiają, OK.




Pozdrawiam
Adam Mielcarski

PS. Bardzo dziękuję za ten skrypt :)
9
Informacje Ogólne / TinyPortal 1.2 wydane
« Ostatnia wiadomość przez Nolt dnia Grudzień 04, 2015, 11:55:28 am »
Nowa wersja TinyPortal 1.2
Najnowsza aktualizacja została wydana.

Zmiany:
  • naprawiono wiele błędów
  • naprawiono przycisk usunięcia komentarza dla gości
  • naprawione przekierowanie po edycji artykułu
  • usunięto uszkodzone CAPTCHA
  • usunięto uprawnienia gości
  • naprawiono błędy instalatora
  • przeniesiono pliki css do folderu css
  • zaktualizowano css dla artykułów i shoutboksa
  • poprawiono zawijanie długich tekstów w menu bloków
  • zmiany w nagłówkach kategorii podczas wyświetlania artykułów
  • naprawiono błąd związany z szablonem
  • wysyłane pliki PNG mogą teraz posiadać przezroczyste tło
  • dodanie awatara do bloku użytkownika
  • dodany blok z kodem najaktywniejszych użytkowników
  • naprawiono blok z ostatnimi wątkami

Tłumaczenie do najnowszej wersji znajdziecie na tym forum:
http://www.wizzi.pl/index.php?board=64.0

Pobierz TinyPortal 1.2:
Oficjalna strona TinyPortal
Oficjalna strona z modyfikacjami SMF
10
Software i Hardware / Skrypt do instalacji programu e-pity dla systemu Linux - Ubuntu/Debian
« Ostatnia wiadomość przez Nolt dnia Wrzesień 28, 2015, 18:00:09 pm »
Jakiś czas temu napisałem skrypt, który maksymalnie ułatwia instalację programu e-pity (http://www.e-pity.pl/pobierz_darmowy_program_linux/ ) w systemie Linux - Ubuntu/Debian.

Skrypt możecie pobrać z działu download:
http://www.wizzi.pl/index.php?action=tpmod;dl=item177

Kod skryptu dostępny na GitHubie pod adresem:
https://github.com/nolt/skrypt-epity

Licencja skryptu to: Eclipse Public License 1.0
https://opensource.org/licenses/eclipse-1.0.txt

Po pobraniu skryptu aby go uruchomić wydajemy następującą komendę:
sh skrypt-epity.sh
w razie konieczności nadać wcześniej uprawnienie uruchamiania pliku, czyli:
chmod +x skrypt-epity.sh
Strony: [1] 2 3 ... 10
Polska Pomoc Simple Machines Forum TinyPortal Ubuntu Linux Spread Firefox Affiliate Button